Conectores
Adopt http action
Tenant-bound connector configuration. No provider requests. Credentials are masked. Mutations require the current revision where applicable. Referenced connections and nonempty connectors cannot be deleted. New custom connector and action creation requires workspace rollout enablement. Adoption may change the external destination used on subsequent executions; preserve the current action identity and confirm the selected connection.
POST
/
connectors
/
{connectorId}
/
actions
/
{actionId}
/
adopt
Adopt http action
curl --request POST \
--url https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}/actions/{actionId}/adopt \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"revision": 1,
"connectionId": "<string>",
"endpoint": {
"path": "<string>"
}
}
'import requests
url = "https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}/actions/{actionId}/adopt"
payload = {
"revision": 1,
"connectionId": "<string>",
"endpoint": { "path": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({revision: 1, connectionId: '<string>', endpoint: {path: '<string>'}})
};
fetch('https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}/actions/{actionId}/adopt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}/actions/{actionId}/adopt",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'revision' => 1,
'connectionId' => '<string>',
'endpoint' => [
'path' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}/actions/{actionId}/adopt"
payload := strings.NewReader("{\n \"revision\": 1,\n \"connectionId\": \"<string>\",\n \"endpoint\": {\n \"path\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}/actions/{actionId}/adopt")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"revision\": 1,\n \"connectionId\": \"<string>\",\n \"endpoint\": {\n \"path\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}/actions/{actionId}/adopt")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"revision\": 1,\n \"connectionId\": \"<string>\",\n \"endpoint\": {\n \"path\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"tool": {
"toolId": "<string>",
"tenantId": "<string>",
"name": "<string>",
"description": "<string>",
"parameters": {},
"endpoint": {
"url": "<string>",
"method": "GET",
"timeoutMs": 15250,
"path": "<string>"
},
"auth": {
"type": "none",
"configured": true,
"headerName": "<string>",
"secretLastFour": "<string>"
},
"active": true,
"readOnly": true,
"allowInPlayground": true,
"propertyIds": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"mode": "off",
"playgroundOnly": true,
"configurationVersion": "<string>",
"scopeMode": "tenant",
"connectorId": "<string>",
"connectionId": "<string>",
"revision": 1,
"version": 123,
"runtimeName": "<string>"
}
}Autorizaciones
Server-side tenant-scoped credential created from Build > API Keys.
Cuerpo
application/json
Respuesta
200 - application/json
Success
Show child attributes
Show child attributes
⌘I
Adopt http action
curl --request POST \
--url https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}/actions/{actionId}/adopt \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"revision": 1,
"connectionId": "<string>",
"endpoint": {
"path": "<string>"
}
}
'import requests
url = "https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}/actions/{actionId}/adopt"
payload = {
"revision": 1,
"connectionId": "<string>",
"endpoint": { "path": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({revision: 1, connectionId: '<string>', endpoint: {path: '<string>'}})
};
fetch('https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}/actions/{actionId}/adopt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}/actions/{actionId}/adopt",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'revision' => 1,
'connectionId' => '<string>',
'endpoint' => [
'path' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}/actions/{actionId}/adopt"
payload := strings.NewReader("{\n \"revision\": 1,\n \"connectionId\": \"<string>\",\n \"endpoint\": {\n \"path\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}/actions/{actionId}/adopt")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"revision\": 1,\n \"connectionId\": \"<string>\",\n \"endpoint\": {\n \"path\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}/actions/{actionId}/adopt")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"revision\": 1,\n \"connectionId\": \"<string>\",\n \"endpoint\": {\n \"path\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"tool": {
"toolId": "<string>",
"tenantId": "<string>",
"name": "<string>",
"description": "<string>",
"parameters": {},
"endpoint": {
"url": "<string>",
"method": "GET",
"timeoutMs": 15250,
"path": "<string>"
},
"auth": {
"type": "none",
"configured": true,
"headerName": "<string>",
"secretLastFour": "<string>"
},
"active": true,
"readOnly": true,
"allowInPlayground": true,
"propertyIds": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"mode": "off",
"playgroundOnly": true,
"configurationVersion": "<string>",
"scopeMode": "tenant",
"connectorId": "<string>",
"connectionId": "<string>",
"revision": 1,
"version": 123,
"runtimeName": "<string>"
}
}